--- ./libgo/testsuite/gotest.ORIGIN	2017-03-17 10:57:38 -0500
+++ ./libgo/testsuite/gotest	2017-03-17 10:54:16 -0500
@@ -518,18 +519,22 @@
 	pattern='Test([^a-z].*)?'
 	# The -p option tells GNU nm not to sort.
 	# The -v option tells Solaris nm to sort by value.
-	tests=$($NM -p -v _gotest_.o $xofile | egrep " $text .*\."$pattern'$' | grep -v '\..*\..*\.' | fgrep -v '$' | fgrep -v ' __go_' | sed 's/.* //' | $symtogo)
+        # The final sed removes the leading . added to symbol names on AIX
+
+	FILTER="_(descriptor|equal|hash)"
+	tests=$($NM -p -v _gotest_.o $xofile | egrep " $text .*\."$pattern'$' | grep -v '\..*\..*\.' | fgrep -v '$' | egrep -v "$FILTER" | fgrep -v ' __go_' | sed 's/.* //' | $symtogo | sed "s/^\.//" )
+        echo $tests > /tmp/testsgo
 	if [ "x$tests" = x ]; then
 		echo 'gotest: warning: no tests matching '$pattern in _gotest_.o $xofile 1>&2
 		exit 2
 	fi
 	# benchmarks are named BenchmarkFoo.
 	pattern='Benchmark([^a-z].*)?'
-	benchmarks=$($NM -p -v _gotest_.o $xofile | egrep " $text .*\."$pattern'$' | grep -v '\..*\..*\.' | fgrep -v '$' | fgrep -v ' __go_' | sed 's/.* //' | $symtogo)
+	benchmarks=$($NM -p -v _gotest_.o $xofile | egrep " $text .*\."$pattern'$' | grep -v '\..*\..*\.' | fgrep -v '$' | egrep -v "$FILTER" | fgrep -v ' __go_' | sed 's/.* //' | $symtogo | sed "s/^\.//" )
 
 	# examples are named ExampleFoo
 	pattern='Example([^a-z].*)?'
-	examples=$($NM -p -v _gotest_.o $xofile | egrep " $text .*\."$pattern'$' | grep -v '\..*\..*\.' | fgrep -v '$' | fgrep -v ' __go_' | sed 's/.* //' | $symtogo)
+	examples=$($NM -p -v _gotest_.o $xofile | egrep " $text .*\."$pattern'$' | grep -v '\..*\..*\.' | fgrep -v '$' | egrep -v "$FILTER" | fgrep -v ' __go_' | sed 's/.* //' | $symtogo | sed "s/^\.//" )
 
 	# package spec
 	echo 'package main'
